Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.html.jsp.datatags
Class RenderValueTag

`java.lang.Object
javax.servlet.jsp.tagext.TagSupport
oracle.jbo.html.jsp.datatags.DataTagBase
oracle.jbo.html.jsp.datatags.ShowValueTag
oracle.jbo.html.jsp.datatags.RenderValueTag`

All Implemented Interfaces:
  javax.servlet.jsp.tagext.IterationTag, javax.servlet.jsp.tagext.JspTag, java.io.Serializable, javax.servlet.jsp.tagext.Tag

public class RenderValueTag
extends ShowValueTag

See Also:
  Serialized Form

Field Summary

Fields inherited from class oracle.jbo.html.jsp.datatags.ShowValueTag
`UI_ROWKEY`

Fields inherited from class oracle.jbo.html.jsp.datatags.DataTagBase
`attrDef, attrList, binding, ds, modelReference, row, ROWKEY_PARAM, rowVariableName, sAttrName, sDataItem, sDataSource, sSubAttrName`

Fields inherited from class javax.servlet.jsp.tagext.TagSupport
`id, pageContext`

Fields inherited from interface javax.servlet.jsp.tagext.IterationTag
`EVAL_BODY_AGAIN`

Fields inherited from interface javax.servlet.jsp.tagext.Tag
`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

Constructor Summary
`RenderValueTag()`

Method Summary
`int` | `doStartTag()` Process the start tag for this instance.

Methods inherited from class oracle.jbo.html.jsp.datatags.ShowValueTag
`initializeAttributeDef`

Methods inherited from class oracle.jbo.html.jsp.datatags.DataTagBase
`doEndTag, findAncestorWithClassForDataSource, getRowFromContext, initializeDataSource, initializeRow, initializeUsingModelReference, internalInitialize, isUsingBindings, setDataitem, setDatasource, setModel`

Methods inherited from class javax.servlet.jsp.tagext.TagSupport
`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RenderValueTag

    public RenderValueTag()

Method Detail

### doStartTag

    public int doStartTag()
                   throws javax.servlet.jsp.JspException

  Description copied from class: `ShowValueTag`
  Process the start tag for this instance. The doStartTag() method assumes that all setter methods have been invoked before. When this method is invoked, the body has not yet been invoked.
  Specified by:
    `doStartTag` in interface `javax.servlet.jsp.tagext.Tag`
  Overrides:
    `doStartTag` in class `ShowValueTag`
  Returns:
    EVAL_BODY_INCLUDE if the tag wants to process body, SKIP_BODY if it does ont want to process it.
  Throws:
    `javax.servlet.jsp.JspException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle Application Development Framework Model and Business Components Java API Reference 10g Release 3 (10.1.3) B16005-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1997, 2005, Oracle. All rights reserved.